GET /api/farcaster/username/{username}
User by username
Farcaster user profile by FID or username
Endpoint​
GET https://api.web3identity.com/api/farcaster/username/{username}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
username | path | string | âś… | ENS name or identifier |
Example Request​
curl -s "https://api.web3identity.com/api/farcaster/username/:username" | jq
Responses​
200 Success​
{
"fid": 3,
"username": "dwr",
"displayName": "Dan Romero",
"pfp": "https://example.com/pfp.jpg",
"followerCount": 123456,
"followingCount": 567
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec